# This file is part of Tryton.  The COPYRIGHT file at the top level of
# this repository contains the full copyright notices and license terms.
from trytond.model import fields
from trytond.pool import PoolMeta

__all__ = ['Company']


class Company(metaclass=PoolMeta):
    __name__ = 'company.company'
    mig_code = fields.Char('Migration Code')
    city_code = fields.Char('City Code')
    property_code = fields.Char('Property Code', help='Code on channel manager')
    rnt_code = fields.Char('Registro Nacional de Turismo')
    matricula_mercantil = fields.Char('Matricula Mercantil')
    national_tourism_registry = fields.Char('National Tourism Registry')

    @classmethod
    def __setup__(cls):
        super(Company, cls).__setup__()
