#This file is part of Hotel module for Tryton.  The COPYRIGHT file at
#the top level of this repository contains the full copyright notices
#and license terms.
from trytond.pool import PoolMeta
from trytond.model import fields

__all__ = ['Party']


TYPE = [
    ('', ''),
    ('service_acomplished', 'Service Acomplished'),
    ('direct', 'Direct'),
    ('implicit', 'Implicit'),
]


class Party(metaclass=PoolMeta):
    __name__ = 'party.party'
    '''
    Party field and function aditions for channels management.  Sales
    commissions, taxes and price lists.
    '''
    sale_commission = fields.Numeric('Sales Commission %', digits=(3, 2),
        help="Add the percentage of sales commission for this channel.",)
        # Must be required if party is hotel channel.
        #    states={
        #        'readonly': ~Eval('active', True),
        #        'required': Bool(Eval('vat_country')),
        #        },
        #    depends=['active', 'vat_country'], size=12, select=True)
    sale_commission_type = fields.Selection(TYPE, 'Sales Commission Type')
    visa_category = fields.Char('Visa Category')
    visa_number = fields.Char('Visa Number')
    visa_date = fields.Date('Visa Date')
