# This file is part of Tryton.  The COPYRIGHT file at the top level of
# this repository contains the full copyright notices and license terms.

from trytond.model import fields
from trytond.pool import PoolMeta
from trytond.pyson import Eval

__all__ = ['Template']


KIND = [
    ('', ''),
    ('accommodation', 'Accommodation'),
    ('bar_restaurant', 'Bar and Restaurant')
]


class Template:
    __metaclass__ = PoolMeta
    __name__ = 'product.template'
    kind = fields.Selection(KIND, 'Kind')
    channel_code = fields.Char('Channel Code')
    accommodation_capacity = fields.Integer('Accommodation Capacity', states={
        'invisible': Eval('kind') != 'accommodation',
    })
